#include <stdio.h>

int main() {
    int count[10000] = {0,};
    int n, temp;
    scanf("%d",&n);
    for(int i=0; i<n; i++) {
        scanf("%d",&temp);
        count[temp-1]++;
    }

    int idx=0, cnt=0;
    while(cnt!=n) {
        if(count[idx]!=0) {
            for(int i=0; i<count[idx]; i++) {
                printf("%d\n",idx+1);
            }
            cnt += count[idx];
        }
        idx++;
    }

    return 0;
}